<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ExtractInstalledAddIn Method (IEdmAddInMgr8)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmAddInMgr8 Interface : ExtractInstalledAddIn Method (IEdmAddInMgr8)

Visual Basic
C#
C++/CLI

oNameOrID
  ID or name of the add-in from which to extract files

bsExtractPath
  Path to the folder to which to extract files; ignored if empty

ppoFiles
  Array of EdmAddInFileInfo structures, one structure for each extracted file

Extracts files from the specified add-in and places them in the specified folder.

# Syntax

Visual Basic |
--- | ---

    Sub ExtractInstalledAddIn( _
       ByVal oNameOrID As System.Object, _
       ByVal bsExtractPath As System.String, _
       ByRef ppoFiles() As EdmAddInFileInfo _
    )

C# |
--- | ---

    void ExtractInstalledAddIn(
       System.object oNameOrID,
       System.string bsExtractPath,
       out EdmAddInFileInfo[] ppoFiles
    )

C++/CLI |
--- | ---

    void ExtractInstalledAddIn(
    &   System.Object^ oNameOrID,
    &   System.String^ bsExtractPath,
    &   [Out] array<EdmAddInFileInfo>^ ppoFiles
    )

#### Parameters

oNameOrID
  ID or name of the add-in from which to extract files
bsExtractPath
  Path to the folder to which to extract files; ignored if empty
ppoFiles
  Array of EdmAddInFileInfo structures, one structure for each extracted file

# Remarks

This method performs a subset of the functionality of IEdmAddInMgr8::GetInstalledAddIn.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_INVALID_ID: oNameOrID specified an ID that was not found.
- E_EDM_INVALID_NAME: oNameOrID specified a name that was not found.
- E_EDM_FOLDER_NOT_FOUND: bsExtractPath contained a path to a missing folder.

# See Also

####

IEdmAddInMgr8 Interface
IEdmAddInMgr8 Members

# Availability

SOLIDWORKS PDM Professional 2010